## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JWalker

    java.lang.Object
      org.opennms.netmgt.snmp.SnmpWalker
          org.opennms.netmgt.snmp.snmp4j.Snmp4JWalker

    public class Snmp4JWalker

extends org.opennms.netmgt.snmp.SnmpWalker

Nested Class Summary
`class` `Snmp4JWalker.GetBulkBuilder`
`class` `Snmp4JWalker.GetNextBuilder`
`static class` `Snmp4JWalker.Snmp4JPduBuilder`
`class` `Snmp4JWalker.Snmp4JResponseListener`

Nested classes/interfaces inherited from class org.opennms.netmgt.snmp.SnmpWalker
`org.opennms.netmgt.snmp.SnmpWalker.WalkerPduBuilder`

Constructor Summary
`Snmp4JWalker(Snmp4JAgentConfig agentConfig, java.lang.String name, org.opennms.netmgt.snmp.CollectionTracker tracker)`

Method Summary
`protected void` `close()`
`protected org.opennms.netmgt.snmp.SnmpWalker.WalkerPduBuilder` `createPduBuilder(int maxVarsPerPdu)`
`protected int` `getVersion()`
`protected void` `sendNextPdu(org.opennms.netmgt.snmp.SnmpWalker.WalkerPduBuilder pduBuilder)`
`void` `start()`

Methods inherited from class org.opennms.netmgt.snmp.SnmpWalker
`buildAndSendNextPdu, failed, getAddress, getErrorMessage, getErrorThrowable, getMaxVarsPerPdu, getName, handleAuthError, handleDone, handleError, handleFatalError, handleTimeout, processErrors, processResponse, setAddress, timedOut, waitFor, waitFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JWalker

    public Snmp4JWalker(Snmp4JAgentConfig agentConfig,
                        java.lang.String name,
                        org.opennms.netmgt.snmp.CollectionTracker tracker)

Method Detail

### start

    public void start()

  Overrides:
    `start` in class `org.opennms.netmgt.snmp.SnmpWalker`

### createPduBuilder

    protected org.opennms.netmgt.snmp.SnmpWalker.WalkerPduBuilder createPduBuilder(int maxVarsPerPdu)

  Specified by:
    `createPduBuilder` in class `org.opennms.netmgt.snmp.SnmpWalker`

### sendNextPdu

    protected void sendNextPdu(org.opennms.netmgt.snmp.SnmpWalker.WalkerPduBuilder pduBuilder)
                        throws java.io.IOException

  Specified by:
    `sendNextPdu` in class `org.opennms.netmgt.snmp.SnmpWalker`
  Throws:
    `java.io.IOException`

### getVersion

    protected int getVersion()

### close

    protected void close()
                  throws java.io.IOException

  Specified by:
    `close` in class `org.opennms.netmgt.snmp.SnmpWalker`
  Throws:
    `java.io.IOException`

Copyright © 2009. All Rights Reserved.